#pragma once
class CParameterSet
{
public:
	CParameterSet();
	~CParameterSet();

	int get_SampleComm();
	int get_PrintComm();
	int get_PrintSpeed();
	int get_PrintGain();
	int get_PrintLead();
	int get_PrintWidth();
	
	int get_ECGAlmSw();
	int get_ECGAlmLevel();
	int get_ECGAlmRec();
	int get_ECGHRFrom();
	int get_ECGHRLead();
	int get_ECGLeadMode();
	int get_ECGHRAlmH();
	int get_ECGHRAlmL();
	int get_ECGTrap();
	int get_ECGPaceSw();
	int get_ECGWaveSpeed();
	int get_ECGWaveGain();
	int get_ECGWaveFilter();
	int get_ECGBeatVol();
	int get_ECGSTSw();
	int get_ECGSTAlmSw();
	int get_ECGSTAlmLevel();
	int get_ECGSTAlmRec();
	int get_ECGSTAlmH();
	int get_ECGSTAlmL();
	int get_ECGISO();
	int get_ECGST();
	int get_ECGARRASW();
	int get_ECGARRAAlmSw();
	int get_ECGARRAAlmLevel();
	int get_ECGARRAAlmRec();
	int get_ECGARRAPVCsH();

	int get_RespAlmSw();
	int get_RespAlmLevel();
	int get_RespAlmRec();
	int get_RespAPNEATime();
	int get_RespRRAlmH();
	int get_RespRRAlmL();

	int get_TempAlmSw();
	int get_TempAlmLevel();
	int get_TempAlmRec();
	int get_TempAlmH();
	int get_TempAlmL();

	int get_OxyAlmSw();
	int get_OxyAlmLevel();
	int get_OxyAlmRec();
	int get_OxyAlmH();
	int get_OxyAlmL();
	int get_OxyPRAlmH();
	int get_OxyPRAlmL();

	int get_BPAlmSw();
	int get_BPAlmLevel();
	int get_BPAlmRec();
	int get_BPSBPAlmH();
	int get_BPSBPAlmL();
	int get_BPDBPAlmH();
	int get_BPDBPAlmL();
	int get_Press();
	
	int get_AirOxyAlmSw();
	int get_AirOxyAlmLevel();
	int get_AirOxyAlmRec();
	int get_AirOxyAlmH();
	int get_AirOxyAlmL();

	int get_AlmTime();
	int get_AlmVol();


	int get_DataSaveFileName(CString & cs);
	int get_NIBPSaveFileName(CString & cs);
	int get_SysSaveFileName(CString & cs);
	int get_AlmSaveFileName(CString & cs);

	int set_SampleComm(int data);
	int set_PrintComm(int data);
	int set_PrintSpeed(int data);
	int set_PrintGain(int data);
	int set_PrintLead(int data);
	int set_PrintWidth(int data);
	
	int set_ECGAlmSw(int data);
	int set_ECGAlmLevel(int data);
	int set_ECGAlmRec(int data);
	int set_ECGHRFrom(int data);
	int set_ECGHRLead(int data);
	int set_ECGLeadMode(int data);
	int set_ECGHRAlmH(int data);
	int set_ECGHRAlmL(int data);
	int set_ECGTrap(int data);
	int set_ECGPaceSw(int data);
	int set_ECGWaveSpeed(int data);
	int set_ECGWaveGain(int data);
	int set_ECGWaveFilter(int data);
	int set_ECGBeatVol(int data);
	int set_ECGSTSw(int data);
	int set_ECGSTAlmSw(int data);
	int set_ECGSTAlmLevel(int data);
	int set_ECGSTAlmRec(int data);
	int set_ECGSTAlmH(int data);
	int set_ECGSTAlmL(int data);
	int set_ECGISO(int data);
	int set_ECGST(int data);
	int set_ECGARRASW(int data);
	int set_ECGARRAAlmSw(int data);
	int set_ECGARRAAlmLevel(int data);
	int set_ECGARRAAlmRec(int data);
	int set_ECGARRAPVCsH(int data);

	int set_RespAlmSw(int data);
	int set_RespAlmLevel(int data);
	int set_RespAlmRec(int data);
	int set_RespAPNEATime(int data);
	int set_RespRRAlmH(int data);
	int set_RespRRAlmL(int data);

	int set_TempAlmSw(int data);
	int set_TempAlmLevel(int data);
	int set_TempAlmRec(int data);
	int set_TempAlmH(int data);
	int set_TempAlmL(int data);


	int set_OxyAlmSw(int data);
	int set_OxyAlmLevel(int data);
	int set_OxyAlmRec(int data);
	int set_OxyAlmH(int data);
	int set_OxyAlmL(int data);
	int set_OxyPRAlmH(int data);
	int set_OxyPRAlmL(int data);

	int set_BPAlmSw(int data);
	int set_BPAlmLevel(int data);
	int set_BPAlmRec(int data);
	int set_BPSBPAlmH(int data);
	int set_BPSBPAlmL(int data);
	int set_BPDBPAlmH(int data);
	int set_BPDBPAlmL(int data);
	int set_Press(int data);

	int set_AirOxyAlmSw(int data);
	int set_AirOxyAlmLevel(int data);
	int set_AirOxyAlmRec(int data);
	int set_AirOxyAlmH(int data);
	int set_AirOxyAlmL(int data);

	int set_AlmTime(int data);
	int set_AlmVol(int data);

	CString m_csINIFileName, m_strPath;
	int m_i32SampleComm, m_i32PrintComm;
	int m_i32PrintSpeed, m_i32PrintGain, m_i32PrintLead, m_i32PrintWidth;
	int m_i32ECGHP, m_i32ECGLP, m_i32ECGTrap;
	int m_i32ISO, m_i32ST;
	int m_i32Gain;
	int m_i32Speed;
	int m_i32Filter;


	int m_i32HR;
	int m_i32ST1, m_i32ST2;
	int m_i32HRThdH, m_i32HRThdL;
};

